# Describe snapshot

Read metadata for a specific collection snapshot.

SDK: `@zilliz/milvus2-sdk-node@3.0.10` · Tested with Milvus 3.0.6

Canonical documentation: https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/describe/

## Section links

- [cURL command](https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/describe/#curl-command)
- [Default request](https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/describe/#default-request)
- [Sample response](https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/describe/#sample-response)
- [Request fields](https://milvus-io.github.io/milvus-sdk-node/rest-api/snapshots/describe/#request-fields)

`POST /v2/vectordb/snapshots/describe`

Replace `https://your-cluster.example.com` with your Milvus endpoint. Set `MILVUS_TOKEN` for authentication or omit the Authorization header on an unauthenticated cluster.

## cURL command

```bash
curl --request POST --url 'https://your-cluster.example.com/v2/vectordb/snapshots/describe' \
  --header 'Content-Type: application/json' \
  --header "Authorization: Bearer ${MILVUS_TOKEN}" \
  --data-raw '{
  "dbName": "default",
  "collectionName": "books",
  "snapshotName": "books_backup"
}'
```

## Default request

```json
{
  "dbName": "default",
  "collectionName": "books",
  "snapshotName": "books_backup"
}
```

## Sample response

```json
{
  "code": 0,
  "data": {
    "snapshotName": "books_backup",
    "description": "Backup before migration",
    "collectionName": "books",
    "partitionNames": [
      "_default",
      "fiction"
    ],
    "createTs": 470574484684800000,
    "s3Location": "s3://example-bucket/snapshots/books_backup/"
  }
}
```

## Request fields

- `dbName` string
  Database name. Operations on collections use default when omitted.
- `collectionName` string (required)
  Name of the collection.
- `snapshotName` string (required)
  Name of the collection snapshot.

See [`HttpClient.describeSnapshot`](https://milvus-io.github.io/milvus-sdk-node/api-reference/http-client/#describesnapshot) for the Node.js SDK method.
